<h1 style="text-align:center">
A Two-Step Method for Ensuring Printed Document Integrity using Crossing Number Distances
</h1>
<div style="text-align:center">
<h3>
<a href="https://liris.cnrs.fr/page-membre/felix-yriarte">Felix Yriarte</a>,
<a href="https://paulineputeaux.github.io">Pauline Puteaux</a>,
<a href="https://liris.cnrs.fr/page-membre/iuliia-tkachenko">Iuliia Tkachenko</a>
<br>
<br>
</h3>
</div>

# Table of content
- [Overview](#overview)
- [Method](#method)
- [Dataset](#dataset)
- [Results](#results)
- [Citation](#citation)
- [Acknowledgements](#acknowledgements)

# Overview
This page contains the materials presented in the paper
[A Two-Step Method for Ensuring Printed Document Integrity using Crossing Number Distances](https:/hal/paper.pdf).

You can find here the [impementation](https://gitlab.liris.cnrs.fr/gdr_isis_fuzzydoc/fuzzydoc_paper1/-/blob/master/fuzzyDoc.ipynb) of proposed method in Python 3 and the augmented PaySlip [dataset](https://gitlab.liris.cnrs.fr/gdr_isis_fuzzydoc/fuzzydoc_paper1/-/tree/master/subset).


# Method
The implementation of our method was done using Python and standard image processing libraries, such as OpenCV, matplotlib, and scikit-image.

# Dataset
The augmented PaySlip dataset can be downloaded [here](https://gitlab.liris.cnrs.fr/gdr_isis_fuzzydoc/fuzzydoc_paper1/-/tree/master/subset). We provide 100 document images printed and scanned using X priner/scanner at 600dpi resolution.

##### **Augmented PaySlip samples**
![Augmented PaySlip samples](assets/augpayslip_sample.png)

# Results

For our dataset, we have obtained the following results :

 Resolution|  Genuine  |  Forged  
:---: | :---: | :----: 
PS 300dpi  | 100% |  95% 
PS 600dpi  | 100% |  90% 
Double PS 600dpi  | 50% |  100% 
Total mean  | 83% |  95%

# Citation
The code and the augmented dataset could only be used for scientific purposes. It must not be republished other than by the original authors. The scientific use includes processing the data and showing it in publications and presentations. If you use it, please cite:
```
@InProceedings{yriarte2022two,
    author    = {Yriarte F., Puteaux P. and Tkachenko I},
    title     = {A Two-Step Method for Ensuring Printed Document Integrity using Crossing Number Distances},
    booktitle = {IEEE International Workshop on Information Forensics and Security},
    month     = {December},
    year      = {2022}
}
```
 
# Acknowledgements
This  work  was funded  by the project FuzzyDoc supported by the CNRS Research Group of Information, Signal, Image and Vision (CNRS GdR-ISIS).
<div style="text-align:center">
<img style="margin-right: 20px" src="assets/logo_liris.png" alt="LIRIS logo" height="75" width="160"/>
<img style="margin-right: 20px" src="assets/logo_cristal.png" alt="CRIStAL logo" height="75" width="160"/>
<img style="margin-left: 20px" src="assets/logo_gdr_isis.png" alt="GDR-ISIS logo" height="60" width="262"/>
</div>

